Bug 1004804 - "rhncfg-manager add" fails on file with 000 permissions
"rhncfg-manager add" fails on file with 000 permissions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Dimitar Yordanov
:
Depends On:
Blocks: 843041 sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-09-05 10:05 EDT by Matej Kollar
Modified: 2015-01-13 04:54 EST (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.1.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:54:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2013-09-05 10:05:00 EDT
Description of problem:

  Running "rhncfg-manager add" ends with ISE (500) when trying
  to add file with permissions 0.

Version-Release number of selected component: rhncfg-management-5.10.55-2.el6sat

How reproducible: always/deterministic

Steps to Reproduce:
  1. echo data > /tmp/somefile
  2. chmod 000 /tmp/somefile
  4. rhncfg-manager create-channel test-x
  3. rhncfg-manager add -c test-x /tmp/somefile

Actual results:

  Application ends with

> Pushing to channel test-x:
> XML-RPC call error: <ProtocolError for fqdn.example.com /CONFIG-MANAGEMENT-TOOL: 500 Internal Server Error>

  In server's httpd error log

> [*** *** ** **:**:** ****] [error] Exception Handler Information
> [*** *** ** **:**:** ****] [error] Traceback (most recent call last):
> [*** *** ** **:**:** ****] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py", line 123, in call_function
> [*** *** ** **:**:** ****] [error]     response = apply(func, params)
> [*** *** ** **:**:** ****] [error]   File "/usr/share/rhn/server/handlers/config_mgmt/rhn_config_management.py", line 374, in management_put_file
> [*** *** ** **:**:** ****] [error]     result = self.push_file(conf_channel_id, dict)
> [*** *** ** **:**:** ****] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/configFilesHandler.py", line 231, in push_file
> [*** *** ** **:**:** ****] [error]     result = self._push_file(config_channel_id, file)
> [*** *** ** **:**:** ****] [error]   File "/usr/lib/python2.6/site-packages/spacewalk/server/configFilesHandler.py", line 177, in _push_file
> [*** *** ** **:**:** ****] [error]     raise ConfigFileMissingInfoError(file)
> [*** *** ** **:**:** ****] [error] ConfigFileMissingInfoError

Expected results:

  File is pushed.

Additional info:
Comment 1 Matej Kollar 2013-09-05 11:01:46 EDT
Issue was caused by invalid test for presence of file mode information, not taking into account fact that in python bool(0) is False, but 0 is valid mode.

spacewalk.git 9d7a41e4279ac80a2c2fd620b1540d2a62285be0
Comment 2 psmatana 2014-11-22 09:54:31 EST
This bug is a little bit tricky because the problem is not on the client side but on the server side. So I am testing against spacewalk-backend package which is on server side but verification and reproduction I am doing on client.

Verification.

spacewalk-backend-2.3.3-20.el6sat

In the step 4 from reproducer in Description application exits with this correct message:

Using server name elisha.usersys.redhat.com
Pushing to channel test-x:
Local file /tmp/somefile -> remote file /tmp/somefile

Reproduced.

spacewalk-backend-2.0.3-30.el6sat

In the step 4 application exits with this error call:

Pushing to channel test-x:
XML-RPC call error: <ProtocolError for intel-s3ea2-04.rhts.eng.bos.redhat.com /CONFIG-MANAGEMENT-TOOL: 500 Internal Server Error>
Comment 4 Clifford Perry 2015-01-13 04:54:22 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.